This URL creates the policy group.
Resource URL
POST domain/<domain_id>/policygroup
Request Parameters
URL Parameters:
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| domain_id | Domain id | Number | Yes |
Payload Request Parameters:
| Field Name | Description | Data Type |
|---|---|---|
| name | Policy group name | String |
| description | Policy group description | String |
| ipsPolicy | IPS policy name | String |
| advancedMalwareInboundPolicy | Advanced malware inbound policy name | String |
| advancedMalwareOutboundPolicy | Advanced malware outbound policy name | String |
| connectionLimitingPolicy | Connection limiting policy name | String |
| firewallPolicy | Firewall policy name | String |
| qosInboundPolicy | QoS inbound policy name | String |
| qosOutboundPolicy | QoS outbound policy name | String |
| protectionOptionsPolicy | Inspection options policy name | String |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
| Field Name | Description | Data Type |
|---|---|---|
| status | Operation status | Number |
Example
Request
POST https://<NSM_IP>/sdkapi/domain/0/policygroup
Payload
{
“name”: “pg1”,
“policyGroupId”: 21,
“description”: “desc1”,
“ipsPolicy”: “Default Inline IPS”,
“advancedMalwareInboundPolicy”: “Default Malware Policy”,
“advancedMalwareOutboundPolicy”: “Default Malware Policy”,
“connectionLimitingPolicy”: “Test_CLP1”,
“firewallPolicy”: “FirewallPolicy1”,
“qosInboundPolicy”: “QoSPolicyAdvanced1”
}
Response
{
"status": 1
}
Error Information
Following error codes are returned by this URL:
| No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 400 | 4301 | Invalid domain id |
| 2 | 400 | 2501 | Invalid malware policy |
| 3 | 400 | 1901 | Invalid connection limiting policy |
| 4 | 400 | 1801 | Invalid firewall policy |
| 5 | 400 | 4417 | Invalid IPS policy |
| 6 | 400 | 9001 | Invalid inspection option policy |